W_PROTO_WORK_FUNC(3)

PROTO_FUNC
w_PROTO_work_func - Work function.

SYNOPSIS
#include <karma_w.h>

flag w_PROTO_work_func

(void **info)

DESCRIPTION
This routine is called to perform some work.

info
    A pointer to the arbitrary work function information pointer.

RETURN VALUE
TRUE if the work function should be called again, else FALSE indicating that the work function is to be unregistered.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/